﻿
Imports System.Text
Imports Wisej.Web




Public Class Window1


    Private Sub Window1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        LoadTree()
    End Sub

    Private Sub LoadTree()

        For x As Integer = 1 To 10
            Me.TreeView1.Nodes.Add("Node" & x.ToString)
        Next

    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

        'no bootstrap
        Dim sb As New StringBuilder

        Try

            sb.AppendLine(My.Resources.HtmlHeader1)
            sb.AppendLine(My.Resources.HtmlHeader2)
            sb.AppendLine(GetTableHTML(False))
            sb.AppendLine(My.Resources.HtmlFooter)

            Me.HtmlPanel1.Html = sb.ToString



        Catch ex As Exception

        End Try


    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click

        'with bootstrap
        Dim sb As New StringBuilder

        Try

            sb.AppendLine(My.Resources.HtmlHeader1)
            sb.AppendLine(My.Resources.BootstrapSources)
            sb.AppendLine(My.Resources.HtmlHeader2)
            sb.AppendLine(GetTableHTML(True))
            sb.AppendLine(My.Resources.HtmlFooter)

            Me.HtmlPanel1.Html = sb.ToString



        Catch ex As Exception

        End Try

    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        Me.HtmlPanel1.Html = String.Empty

    End Sub

    Private Function GetTableHTML(includeBootstrapClass As Boolean) As String

        Dim sb As New StringBuilder

        Try

            sb.Append("<table")
            If includeBootstrapClass Then
                sb.Append(" class='table table-hover table-responsive table-bordered'>")
            Else
                sb.Append(">")
            End If


            'table headers
            sb.AppendLine("<tr>")
            For col As Integer = 1 To 10
                sb.AppendLine(String.Format("<th>{0}</th>", "Column " & col.ToString))
            Next
            sb.AppendLine("</tr>")

            'table data rows (6 rows, 10 columns)
            For row As Integer = 1 To 6
                sb.AppendLine("<tr>")
                For col As Integer = 1 To 10
                    sb.AppendLine(String.Format("<td>{0},{1}</td>", row, col))
                Next
                sb.AppendLine("</tr>")
            Next

            sb.AppendLine("</table>")



        Catch ex As Exception

        End Try

        Return sb.ToString

    End Function

End Class
